Error
A valid request URL is required to generate request examples{
"discounts": [
{
"amount": 123,
"amountType": "<string>",
"code": "<string>",
"condition": {
"couponCode": "<string>",
"customerSegmentIds": [
123
],
"excludedCategoryIds": [
123
],
"excludedProductCodes": [
"<string>"
],
"expirationDate": "2023-11-07T05:31:56Z",
"includedCategoryIds": [
123
],
"includedProductCodes": [
"<string>"
],
"maximumOrderAmount": 123,
"minDistinctProductsRequired": 123,
"minimumCategorySubtotalBeforeDiscounts": 123,
"minimumLifetimeValueAmount": 123,
"minimumOrderAmount": 123,
"minimumQuantityProductsRequiredInCategories": 123,
"minimumQuantityRequiredProducts": 123,
"paymentWorkflows": [
"<string>"
],
"requiresCoupon": true,
"startDate": "2023-11-07T05:31:56Z"
},
"discountId": 123,
"doesNotApplyToMultiShipToOrders": true,
"doesNotApplyToProductsWithSalePrice": true,
"expirationDate": "2023-11-07T05:31:56Z",
"friendlyDescription": "<string>",
"includedPriceLists": [
"<string>"
],
"isPublic": true,
"labels": [
"<string>"
],
"maxDiscountValuePerRedemption": 123,
"maxRedemptions": 123,
"maximumDiscountValuePerOrder": 123,
"maximumRedemptionsPerOrder": 123,
"maximumUsesPerUser": 123,
"name": "<string>",
"redemptions": 123,
"requiresAuthenticatedUser": true,
"scope": "<string>",
"stackingLayer": 123,
"target": {
"excludedCategoriesOperator": "<string>",
"excludedCategoryIds": [
123
],
"excludedProductCodes": [
"<string>"
],
"includeAllProducts": true,
"includedCategoriesOperator": "<string>",
"includedCategoryIds": [
123
],
"includedProductCodes": [
"<string>"
],
"shippingMethods": [
"<string>"
],
"shippingZones": [
"<string>"
],
"type": "<string>"
},
"type": "<string>"
}
]
}Get Secure Discounts by Label
Retrieves non-public discounts by label. These can only be accessed by users with the Discount Read behavior.
GET
/
commerce
/
catalog
/
storefront
/
discounts
/
secure
/
label
/
{label}
Error
A valid request URL is required to generate request examples{
"discounts": [
{
"amount": 123,
"amountType": "<string>",
"code": "<string>",
"condition": {
"couponCode": "<string>",
"customerSegmentIds": [
123
],
"excludedCategoryIds": [
123
],
"excludedProductCodes": [
"<string>"
],
"expirationDate": "2023-11-07T05:31:56Z",
"includedCategoryIds": [
123
],
"includedProductCodes": [
"<string>"
],
"maximumOrderAmount": 123,
"minDistinctProductsRequired": 123,
"minimumCategorySubtotalBeforeDiscounts": 123,
"minimumLifetimeValueAmount": 123,
"minimumOrderAmount": 123,
"minimumQuantityProductsRequiredInCategories": 123,
"minimumQuantityRequiredProducts": 123,
"paymentWorkflows": [
"<string>"
],
"requiresCoupon": true,
"startDate": "2023-11-07T05:31:56Z"
},
"discountId": 123,
"doesNotApplyToMultiShipToOrders": true,
"doesNotApplyToProductsWithSalePrice": true,
"expirationDate": "2023-11-07T05:31:56Z",
"friendlyDescription": "<string>",
"includedPriceLists": [
"<string>"
],
"isPublic": true,
"labels": [
"<string>"
],
"maxDiscountValuePerRedemption": 123,
"maxRedemptions": 123,
"maximumDiscountValuePerOrder": 123,
"maximumRedemptionsPerOrder": 123,
"maximumUsesPerUser": 123,
"name": "<string>",
"redemptions": 123,
"requiresAuthenticatedUser": true,
"scope": "<string>",
"stackingLayer": 123,
"target": {
"excludedCategoriesOperator": "<string>",
"excludedCategoryIds": [
123
],
"excludedProductCodes": [
"<string>"
],
"includeAllProducts": true,
"includedCategoriesOperator": "<string>",
"includedCategoryIds": [
123
],
"includedProductCodes": [
"<string>"
],
"shippingMethods": [
"<string>"
],
"shippingZones": [
"<string>"
],
"type": "<string>"
},
"type": "<string>"
}
]
}Authorizations
JWT Authorization header using the Bearer scheme.
Path Parameters
The label of the discount.
Query Parameters
limits which fields are returned in the response body
Response
OK
Show child attributes
Show child attributes
⌘I

